/*******************************************/
/*      Timer0 en mode CTC et IT sur voie A      */
/*******************************************/
// ATMega 164P
// le 27 11 08
// Mode CTC de priode 10ms pour un quartz de 7.3728MHz
 // Tquartz = 1/7.3728S. En mode CTC, avec prdiv par 1024
// Priode(S) = 2*1024*(1+TOP)/7.3728
// Priode 10ms => TOP = 35
// Priode 20ms => TOP = 71

#include "ATmega164_VMG.h"
#include "SeptSeg_LCD.h"
#define TOP 35

#pragma interrupt_handler     Timer0_CTCA:iv_TIMER0_COMPA

extern void Tx_SPI (byte);
extern char Speed_CDUd[4];
byte Polar;

// Initialisation du timer0 : CTC voie A avec IT
// ---------------------------------------------
void Init_Timer0_CTCA (void)
      {
      TCCR0B  = (1<<CS02)|(1<<CS00);         // Prdivision 1024
      TCCR0A |= (1<<WGM01);                  // Mode CTC
      OCR0A   = TOP;
      }

// Interruption du Timer0
// ----------------------
void Timer0_CTCA (void)
      {
	  Polar ^= 0xFF;
      Tx_SPI (SeptSeg_LCD [Speed_CDUd[3]+10]^Polar);
	  Tx_SPI (SeptSeg_LCD [Speed_CDUd[2]]^Polar);
	  Tx_SPI (SeptSeg_LCD [Speed_CDUd[1]]^Polar);
	  Tx_SPI (SeptSeg_LCD [Speed_CDUd[0]]^Polar);
      }


